<div class="model-details-tabwrapper">
  <div class="md-intro-container spacebetween">
    <div class="full-height">
      <h6 class="sectiontitle9">LICENSE PROFILE</h6>
    </div>
    <div class="spacebetween buttons-layout">
      <button
        [disabled]="!(isUserIdAvailable$ | async)"
        mat-stroked-button
        (click)="onClickUpload()"
      >
        Upload
      </button>
      <button
        [disabled]="!(isUserIdAvailable$ | async)"
        *ngIf="modelLicense"
        mat-stroked-button
        (click)="onClickUpdate()"
      >
        Update
      </button>
      <button
        *ngIf="!modelLicense"
        mat-stroked-button
        (click)="onClickCreate()"
      >
        Create
      </button>
    </div>
  </div>
</div>
<div class="license-error" *ngIf="!modelLicense">
  {{ modelLicenseError }}
</div>

<div class="license-content" *ngIf="modelLicense; else noLicenseTemplate">
  <pre class="licensedisplay">
    <span *ngIf="modelLicense?.keyword"><strong>keyword: </strong></span>{{ modelLicense?.keyword }}
    <span *ngIf="modelLicense?.licenseName"><strong>licenseName: </strong></span>{{ modelLicense?.licenseName }}
    <span *ngIf="modelLicense?.licenseName"><strong>intro: </strong></span>{{ modelLicense?.intro }}
    <span *ngIf="modelLicense?.copyright"><strong>copyright</strong> </span>
            <span *ngIf="modelLicense?.copyright?.year"><strong>year: </strong></span>{{ modelLicense?.copyright?.year }}
            <span *ngIf="modelLicense?.copyright?.company"><strong>company: </strong></span>{{ modelLicense?.copyright?.company }}
            <span *ngIf="modelLicense?.copyright?.suffix"><strong>suffix: </strong></span>{{ modelLicense?.copyright?.suffix }}   
    <span *ngIf="modelLicense?.softwareType"><strong>softwareType: </strong></span> {{ modelLicense?.softwareType }}
    <span *ngIf="modelLicense?.companyName"><strong>companyName: </strong></span> {{ modelLicense?.companyName }}
            <span *ngIf="modelLicense?.contact"><strong>contact</strong> </span>
            <span *ngIf="modelLicense?.contact?.name"><strong>name: </strong></span>{{ modelLicense?.contact?.name }}
            <span *ngIf="modelLicense?.contact?.URL"><strong>URL: </strong></span>{{ modelLicense?.contact?.URL }}
            <span *ngIf="modelLicense?.contact?.email"><strong>email: </strong></span>{{ modelLicense?.contact?.email }}
            <span *ngIf="modelLicense?.additionalInfo"><strong>additionalInfo: </strong></span>{{ modelLicense?.additionalInfo }}
    </pre>
</div>
<ng-template #noLicenseTemplate>
  <p>No license found.</p>
</ng-template>
